package shop;


import java.util.ArrayList;
import java.util.List;

import javax.faces.component.UIData;
import javax.faces.event.ActionEvent;

import org.apache.commons.beanutils.BeanUtils;

import fw.FacesUtils;


public class Cart {

	private List items = new ArrayList();
	
	public static Cart getBindInstance(){
		return (Cart)FacesUtils.getVindObject("#{cart}");
	}
	
	public List getItems() {
		return items;
	}

	public void addItem(Item item) {
		items.add(item);
	}
	
	public void takeItem(ActionEvent e){
		
		UIData table = FacesUtils.findAncestorUIData(e.getComponent());
		Item item = (Item)table.getRowData();
				
		Item newItem = new Item();
		try {
			BeanUtils.copyProperties(newItem, item);
		} catch (Exception e1) {
			e1.printStackTrace();
		}
		addItem(item);
	}
	
	public void removeItem(ActionEvent e){
		
		UIData table = FacesUtils.findAncestorUIData(e.getComponent());
		Item item = (Item)table.getRowData();
		items.remove(item);
	}
	
	
	public String buyItems(){
		//w݁[
		int total = 0;
		for(int i=0; i<items.size(); i++){
			Item item = (Item)items.get(i);
			total += item.getPrice();
		}
		items.clear();
		FacesUtils.addGlobalMessage("shop.buy.ok", new Integer(total));
		return "ok";
	}
}
